{% load static %}
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        clifford: '#da373d',
                    }
                }
            }
        }
    </script>
</head>

<body class="bg-gray-100 py-10">
    <div class="max-w-md mx-auto bg-white rounded p-5 shadow-md">
        <div class="flex justify-center items-center mb-4">
            <h2 class="text-2xl mb-4">Digite os coeficientes da equação do segundo grau</h2>
            <a href="{% url 'results' %}" class="bg-blue-500 hover:bg-blue-700 text-white font-bold p-4 rounded-full flex items-center">
                <svg class="w-6 h-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5l7 7-7 7"></path>
                </svg>
            </a>
        </div>       
        <form method="post">
            {% csrf_token %}
            <div class="mb-4">
                <label for="nome" class="block text-sm font-semibold mb-1">Numero A:</label>
                <input type="number" id="numero_a" name="numero_a"
                    class="w-full border-gray-200 rounded-md p-2 focus:outline-none focus:border-blue-600">
            </div>
            <div class="mb-4">
                <label for="nome" class="block text-sm font-semibold mb-1">Numero B:</label>
                <input type="number" id="numero_b" name="numero_b"
                    class="w-full border-gray-200 rounded-md p-2 focus:outline-none focus:border-blue-600">
            </div>
            <div class="mb-4">
                <label for="nome" class="block text-sm font-semibold mb-1">Numero C:</label>
                <input type="number" id="numero_c" name="numero_c"
                    class="w-full border-gray-200 rounded-md p-2 focus:outline-none focus:border-blue-600">
            </div>
            <button type="submit"
                class="w-full bg-blue-500 text-white py-2 px-4 rounded-md hover:bg-blue-600 focus:outline-none focus:bg-blue-600">Calcular</button>
            {% if resultado %}
            <div class="mt-4">
                <p class="text-sm">Resultado: {{ resultado }}</p>
            </div>
            {% endif %}
        </form>
    </div>
</body>

</html>